<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/28/2003 *
 * ===================                          Last change: 04/09/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-edit_emails.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Edit ordered mails e.g. redirecting the URL      *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Werbebuchungen aendern (z.B. umleiten der URL)   *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
}

// Add description as navigation point
addMenuDescription('admin', __FILE__);

if ((isFormSent()) && (!isPostRequestParameterSet('id'))) {
	unsetPostRequestParameter('ok');
}

$result = SQL_QUERY("SELECT id, sender, subject, payment_id, cat_id FROM `{?_MYSQL_PREFIX?}_pool` ORDER BY timestamp", __FILE__, __LINE__);
if (SQL_NUMROWS($result) > 0) {
	if (isFormSent()) {
		// Make mail editable...
		$result = SQL_QUERY_ESC("SELECT subject, text, url FROM `{?_MYSQL_PREFIX?}_pool` WHERE `id`=%s LIMIT 1",
		array(bigintval(postRequestParameter('id'))), __FILE__, __LINE__);
		list($subj, $text, $url) = SQL_FETCHROW($result);
		SQL_FREERESULT($result);

		// Prepare constant for template
		$content['id']       = bigintval(postRequestParameter('id'));
		$content['url']      = $url;
		$content['subject']  = $subj;
		$content['text']     = $text;

		// Load template
		loadTemplate('admin_edit_email', false, $content);
	} elseif (isPostRequestParameterSet('save')) {
		// Save changes
		SQL_QUERY_ESC("UPDATE
	`{?_MYSQL_PREFIX?}_pool`
SET
	`subject`='%s',
	`text`='%s',
	`url`='%s'
WHERE
	`id`=%s
LIMIT 1",
			array(
				postRequestParameter('subject'),
				postRequestParameter('text'),
				postRequestParameter('url'),
				bigintval(postRequestParameter('id')),
			), __FILE__, __LINE__);

		if (SQL_AFFECTEDROWS() == 1) {
			$content = getMessage('SETTINGS_SAVED');
		} else {
			$content = '<span class="admin_failed">{--SETTINGS_NOT_SAVED--}</span>';
		}

		// Display message
		loadTemplate('admin_settings_saved', false, $content);
	} else {
		// There are mail orders available
		$OUT = ''; $SW = 2;
		while ($content = SQL_FETCHARRAY($result)) {
			// Prepare data for the row template
			$content = array(
				'sw'      => $SW,
				'id'      => $content['id'],
				'subject' => $content['subject'],
				'userid'  => generateUserProfileLink($content['sender']),
				'pay'     => getPaymentTitlePrice($content['payment_id']),
				'cat'     => getCategory($content['cat_id']),
			);

			// Load row template and switch colors
			$OUT .= loadTemplate('admin_edit_email_row', true, $content);
			$SW = 3 - $SW;
		}

		// Free memory
		SQL_FREERESULT($result);

		// Load email template
		loadTemplate('admin_edit_email_select', false, $OUT);
	}
} else {
	// No mail orders left in pool
	loadTemplate('admin_settings_saved', false, '<span class="admin_failed">{--ADMIN_NO_MAILS_IN_POOL--}</span>');
}

// [EOF]
?>
